<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sandbox event</title>
    <style>
        input {
            transition: width 1s;
            width: 200px;
        }
        .expland { width: 400px; }
    </style>
</head>
<body>
    
    <p><input type="button" value="Событие onclick" onclick="this.classList.toggle('expland')"></p>
    <script>
        let input = document.querySelector('input');
        input.addEventListener('transitionend', showTag);

        function showTag(event) {
            console.log(event.currentTarget.tagName);
        }
    </script>

</body>
</html>